DB->get_lorder()
Prev | Chapter 2. The DB Handle | Next

## DB->get_lorder()

    #include <db.h>

    int
    DB->get_lorder(DB *db, int *lorderp);

The `DB->get_lorder()` method returns the database byte order; a byte order of 4,321 indicates a big endian order, and a byte order of 1,234 indicates a little endian order. This value is set using the DB->set_lorder() method.

The `DB->get_lorder()` method may be called at any time during the life of the application.

The `DB->get_lorder()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lorderp

The `DB->get_lorder()` method returns the database byte order in lorderp.

### Class

DB

### See Also

Database and Related Methods, DB->set_lorder()

Prev | Up | Next
DB->get_h_nelem() | Home | DB->get_msgfile()